Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util.xml
Class XmlUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.xml.XmlUtils

    public class XmlUtils

extends java.lang.Object

Version:
  $Revision: 472630 $ $Date: 2006-11-08 21:40:03 +0100 (Mi, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`static java.lang.String` | `getChildText(org.w3c.dom.Element elem, java.lang.String childTagName)` Return content of child element with given tag name.
`static java.util.List` | `getChildTextList(org.w3c.dom.Element elem, java.lang.String childTagName)` Return list of content Strings of all child elements with given tag name.
`static java.lang.String` | `getElementText(org.w3c.dom.Element elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getElementText

    public static java.lang.String getElementText(org.w3c.dom.Element elem)

### getChildText

    public static java.lang.String getChildText(org.w3c.dom.Element elem,
                                                java.lang.String childTagName)

  Return content of child element with given tag name. If more than one children with this name are present, the content of the last element is returned.

  Parameters:
    `elem` -
    `childTagName` -
  Returns:
    content of child element or null if no child element with this name was found

### getChildTextList

    public static java.util.List getChildTextList(org.w3c.dom.Element elem,
                                                  java.lang.String childTagName)

  Return list of content Strings of all child elements with given tag name.

  Parameters:
    `elem` -
    `childTagName` -
  Returns:
    List

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.